﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using System.Windows.Data;

namespace AppReviews
{
    public partial class RemoveAppPage : PhoneApplicationPage
    {
        public RemoveAppPage()
        {
            InitializeComponent();

            Style btnStyle = (Style)Application.Current.Resources["btnStyle"];
            foreach (ApplicationData app in Globals.Data.Apps)
            {
                Button button = new Button();
                button.Style = btnStyle;
                button.SetBinding(Button.ContentProperty, new Binding("Name"));
                button.DataContext = app;
                button.Tag = app;
                button.Click += new RoutedEventHandler(button_Click);

                panelApps.Children.Add(button);
            }
        }
        void button_Click(object sender, RoutedEventArgs e)
        {
            ApplicationData app = (ApplicationData)((Button)sender).Tag;
            Globals.Data.Apps.Remove(app);
            panelApps.Children.Remove((Button)sender);
        }

    }
}