﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace AppReviews.Web
{
    public class WebWorkItem
    {

        public string Uri;

        /// <summary>
        /// The result coming back from the work item, if any
        /// </summary>
        public string Result;

        /// <summary>
        /// Error message, if any
        /// </summary>
        public Exception Error;

        /// <summary>
        /// Group identifier, if any
        /// </summary>
        public object GroupId;

        public delegate void CompletedHandler(WebWorkItem item);

        /// <summary>
        /// Called when the work item is completed (cancelled, succeeded or error)
        /// </summary>
        public CompletedHandler Completed;

        public object UserData;
    }
}
